Package com.oracle.truffle.api.dsl

## Annotation Type GeneratedBy

    @Retention(RUNTIME)
    @Target(TYPE)
    public @interface GeneratedBy

Marks a type as being generated based on another class or method.

### Required Element Summary

Required Elements
`java.lang.Class<?>` `value`

### Optional Element Summary

Optional Elements
`java.lang.String` `methodName`

### Element Detail

#### value

    java.lang.Class<?> value

#### methodName

    java.lang.String methodName

Default:
  ""